package com.yanzhu.manage.service;

import java.util.List;
import java.util.Map;

import com.yanzhu.manage.domain.ProProjectInfoUsers;

/**
 * 项目人员Service接口
 * 
 * @author JiangYuQi
 * @date 2024-08-25
 */
public interface IProProjectInfoUsersService 
{
    /**
     * 查询项目人员
     * 
     * @param id 项目人员主键
     * @return 项目人员
     */
    public ProProjectInfoUsers selectProProjectInfoUsersById(Long id);

    /**
     * 查询项目人员列表
     * 
     * @param proProjectInfoUsers 项目人员
     * @return 项目人员集合
     */
    public List<ProProjectInfoUsers> selectProProjectInfoUsersList(ProProjectInfoUsers proProjectInfoUsers);

    /**
     * 新增项目人员
     * 
     * @param proProjectInfoUsers 项目人员
     * @return 结果
     */
    public int insertProProjectInfoUsers(ProProjectInfoUsers proProjectInfoUsers);

    /**
     * 修改项目人员
     * 
     * @param proProjectInfoUsers 项目人员
     * @return 结果
     */
    public int updateProProjectInfoUsers(ProProjectInfoUsers proProjectInfoUsers);

    /**
     * 批量删除项目人员
     * 
     * @param ids 需要删除的项目人员主键集合
     * @return 结果
     */
    public int deleteProProjectInfoUsersByIds(Long[] ids);

    /**
     * 删除项目人员信息
     * 
     * @param id 项目人员主键
     * @return 结果
     */
    public int deleteProProjectInfoUsersById(Long id);

    /**
     * 修改项目人员的默认项目
     *
     * @param id 项目人员主键
     * @return 结果
     */
    public int editDefaultProjectById(Long id);

    /**
     * 根据用户编号查询入场项目信息
     *
     * @param userId 用户ID
     * @return 结果
     */
    public List<Map<String, Object>> selectProjectsByUserId(Long userId);
}
